﻿using System;
using System.Windows;
using System.Windows.Threading;
using Stimulsoft.Report;

namespace StimulsoftSettingsCrash
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        readonly DispatcherTimer m_timer;
        static bool toggle = false;

        public MainWindow()
        {
            StiOptions.Wpf.LoadTheme = false;
            InitializeComponent();
            m_timer = new DispatcherTimer(TimeSpan.FromMilliseconds(1), DispatcherPriority.Background, (s, e) => Tick(), Dispatcher);
        }

        void Tick()
        {
            // Resize the window so the settings are saved
            Width = Width + (toggle ? 1 : -1);
            toggle = !toggle;
        }
    }
}
